﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head>
        <link href="../../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Uploading Entitlements using File-Based Import</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Uploading Entitlements using File-Based Import</h1>
        <p>The <strong>Upload&#160;Entitlement from CSV</strong>&#160;option&#160;enables you&#160;to upload new entitlements using a CSV file.&#160;While importing, you can create a new security system,&#160;endpoint or entitlement type if it does not exist. You can import entitlement owners and assign more than 25 owner ranks. Only one user is assigned the&#160;primary certifier rank and the remaining are assigned as secondary certifiers.</p>
        <h3 id="UploadingEntitlementsusingFile-BasedImport-Prerequisites">Prerequisites</h3>
        <p>To successfully import entitlements having special characters (UTF-8), add&#160;<span class="attr">"-Dfile.encoding=utf-8"</span>&#160;in startup.sh file located in tomcat/bin folder.</p>
        <p>For example,&#160;<span class="attr">export JAVA_OPTS="-d64 -Xms12g -Xmx14g -XX:MaxMetaspaceSize=1024m -XX:+CMSParallelRemarkEnabled -server -Xverify:none-Dfile.encoding=utf-8"</span></p>
        <p>EIC provides a&#160;<a href="file:///D:/AG/IGA-Admin-Guide/Content/Resources/Attachments/Entitlement import_sample.csv">sample CSV file</a>&#160;containing example values for entitlements. To upload entitlements, download this file to your server, modify its details, and upload it to EIC.&#160;The sample file includes different parameters to specify the entitlement details:&#160;</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col class="TableStyle-Default-Table-Column-Column1" />
                <col class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameters&#160;</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SECURITY SYSTEM</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the security system that exists in EIC.&#160;<strong>For example, CorpAD.</strong></p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENDPOINT</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the endpoint name associated with the security system.&#160;<strong>For example, CorpAD.</strong></p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENTITLEMENT TYPE</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the entitlement type&#160;associated with the security system.&#160;</p>
                            <p style="text-align: left;" class="table-text">For example,&#160;</p>
                            <ul>
                                <li>
                                    <p class="table-text">member_of in case of Active Directory</p>
                                </li>
                                <li>
                                    <p class="table-text">Profile in case of Salesforce&#160;</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENTITLEMENT VALUE</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the entitlement value&#160;associated with the security system.&#160;<strong>For example, Salesforce_Admin.</strong></p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENTITLEMENT OWNER</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the owner associated with a manager. This is mandatory if you are uploading entitlement owners using a CSV file.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">OWNER RANK</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Specify the rank of the owner. You can specify values from 1 to 25.&#160;This is mandatory if you are uploading entitlement owners using a CSV file.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">An entitlement:</p>
            <ul>
                <li>Can only have one owner with a primary certifier rank.</li>
                <li>Can have multiple owners with a secondary certifier rank.</li>
                <li>Cannot have the same user with the primary and secondary certifier rank.</li>
            </ul>
        </div>
        <p>To upload entitlements using file-based import, perform the following steps:</p>
        <ol>
            <li>Click <strong>Admin &gt; Identity Repository &gt; Entitlements &gt; Actions &gt; Upload Entitlement from CSV</strong> .</li>
            <li>
                <p class="auto-cursor-target">In the <strong>Enter Details for&#160;Entitlement value Import</strong>&#160;pop-up window that displays, specify the following parameters.<br /></p>
                <div class="table-wrap">
                    <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                        <col style="width: 175px;" class="TableStyle-Default-Table-Column-Column1" />
                        <col style="width: 79.5139%;" class="TableStyle-Default-Table-Column-Column1" />
                        <thead>
                            <tr class="TableStyle-Default-Table-Head-Header1">
                                <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                                <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Data File</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Upload the CSV file with entitlement details using the&#160;<strong style="text-decoration: none;text-align: left;">Select</strong> button. <br class="atl-forced-newline" style="text-decoration: none;text-align: left;" />After file upload, the file name is displayed.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Delimiter</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the delimiter&#160;to be used in the data file being uploaded. <br class="atl-forced-newline" style="text-decoration: none;text-align: left;" /> The options are: </p>
                                    <ul>
                                        <li>
                                            <p>Comma</p>
                                        </li>
                                        <li>
                                            <p>Pipe</p>
                                        </li>
                                        <li>
                                            <p>Tab</p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">First row as heading</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify whether you want to&#160;use the&#160;first row in the CSV file as the heading.</p>
                                    <p class="table-text">The options are:</p>
                                    <ul>
                                        <li>
                                            <p>Yes&#160;- Uses the&#160;first row as the heading.&#160;</p>
                                        </li>
                                        <li>
                                            <p>No - Does not use the first row as the heading.</p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Create Security System if does not exist</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify whether you want to create a new security system if the value mentioned in the file does not exist.</p>
                                    <p class="table-text">The options are:</p>
                                    <ul>
                                        <li>
                                            <p>Yes&#160;-&#160;Creates a new security system.</p>
                                        </li>
                                        <li>
                                            <p>No - Does not&#160;create a new security system.</p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Create&#160;Endpoint if does not exist</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify whether you want to create a new endpoint if the value mentioned in the file does not exist.</p>
                                    <p class="table-text">The options are:</p>
                                    <ul>
                                        <li>
                                            <p>Yes&#160;-&#160;Creates a new endpoint.</p>
                                        </li>
                                        <li>
                                            <p>No - Does not&#160;create a new endpoint.</p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Create&#160;Entitlement Type if does not exist</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify whether you want to create a new&#160;entitlement type if the value mentioned in the file does not exist.</p>
                                    <p class="table-text">The options are:</p>
                                    <ul>
                                        <li>
                                            <p>Yes&#160;-&#160;Creates a new entitlement type.</p>
                                        </li>
                                        <li>
                                            <p>No - Does not&#160;create a new entitlement type.</p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Create Entitlement Owner if does not exist&#160;</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify whether you want to create a new&#160;entitlement owner if the value mentioned in the file does not exist.</p>
                                    <p class="table-text">The options are:</p>
                                    <ul>
                                        <li>
                                            <p>Yes&#160;-&#160;Creates a new entitlement owner.</p>
                                        </li>
                                        <li>
                                            <p>No - Does not&#160;create a new entitlement owner.</p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                    <p class="table-text">Inactive Entitlement not in File</p>
                                    <p class="table-text">(Available from Release v2021.0 onwards)</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">Specify whether you want to inactive entitlements that are not part of the file.<p style="text-align: left;" class="table-text">The options are:</p><ul><li><p>Yes&#160;- The existing entitlements in saviynt are inactivated if they are not part of the uploaded csv file.</p></li><li><p>No - Does not inactivate the existing entitlements even if they are not part of the uploaded csv file.</p></li></ul></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </li>
            <li>Click <strong>Upload and Preview</strong>.</li>
            <li>In <strong>Upload&#160;Entitlement Preview</strong> page that displays, click <strong>Import Now</strong>.<br />If you have selected <strong>First row as heading</strong> as <strong>No</strong>, you must manually map the entitlement file fields to the database table fields and click <strong>Import Now</strong>.</li>
            <li>
                <p class="auto-cursor-target">If the upload is successful,&#160;details of the uploaded records are populated in the  &#160;<strong>Entitlement Upload Details</strong>page under the&#160;following columns:&#160;<strong>Security Systems Created,Endpoints Created,Entitlement Types Created,Entitlement Values Created,Entitlement Values Updated,Users(Owner) Created,Entitlement Owner Mapped,Entitlement Attributes Created,Entitlement Attributes Updated</strong> and <strong>Error</strong>.</p>
            </li>
            <li>Go to&#160;<strong>Admin &gt; Identity Repository &gt; Entitlements</strong> to view entitlement details you uploaded using a CSV file.</li>
        </ol>
    </body>
</html>